orte/mca/iof/iof.h File Reference.TH "orte/mca/iof/iof.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/iof/iof.h \- I/O Forwarding Service. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'opal/class/opal_list.h'\fP
.br
\fC#include 'mca/mca.h'\fP
.br
\fC#include 'mca/ns/ns.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBORTE_IOF_BASE_VERSION_1_0_0\fP"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef int \fBorte_iof_base_tag_t\fP"
.br
.ti -1c
.RI "typedef int(* \fBorte_iof_base_publish_fn_t\fP )(const orte_process_name_t *name, orte_iof_base_mode_t mode, orte_iof_base_tag_t tag, int fd)"
.br
.RI "\fIPublish a local file descriptor as an endpoint that is logically associated with the specified process name (e.g. \fP"
.ti -1c
.RI "typedef int(* \fBorte_iof_base_unpublish_fn_t\fP )(const orte_process_name_t *name, \fBorte_ns_cmp_bitmask_t\fP mask, orte_iof_base_tag_t tag)"
.br
.RI "\fIRemove all endpoints matching the specified process name, mask and tag values. \fP"
.ti -1c
.RI "typedef int(* \fBorte_iof_base_push_fn_t\fP )(const orte_process_name_t *dst_name, \fBorte_ns_cmp_bitmask_t\fP dst_mask, orte_iof_base_tag_t dst_tag, int fd)"
.br
.RI "\fIExplicitly push data from the specified input file descriptor to the indicated set of peers. \fP"
.ti -1c
.RI "typedef int(* \fBorte_iof_base_pull_fn_t\fP )(const orte_process_name_t *src_name, \fBorte_ns_cmp_bitmask_t\fP src_mask, orte_iof_base_tag_t src_tag, int fd)"
.br
.RI "\fIExplicitly pull data from the specified set of peers and dump to the indicated output file descriptor. \fP"
.ti -1c
.RI "typedef int(* \fBorte_iof_base_buffer_fn_t\fP )(const orte_process_name_t *src_name, \fBorte_ns_cmp_bitmask_t\fP src_mask, orte_iof_base_tag_t src_tag, size_t buffer_size)"
.br
.RI "\fISetup buffering for a specified set of endpoints. \fP"
.ti -1c
.RI "typedef int(* \fBorte_iof_base_callback_fn_t\fP )(orte_process_name_t *src_name, orte_iof_base_tag_t src_tag, void *cbdata, const unsigned char *data, size_t count)"
.br
.ti -1c
.RI "typedef int(* \fBorte_iof_base_subscribe_fn_t\fP )(const orte_process_name_t *src_name, \fBorte_ns_cmp_bitmask_t\fP src_mask, orte_iof_base_tag_t src_tag, orte_iof_base_callback_fn_t cb, void *cbdata)"
.br
.ti -1c
.RI "typedef int(* \fBorte_iof_base_unsubscribe_fn_t\fP )(const orte_process_name_t *src_name, \fBorte_ns_cmp_bitmask_t\fP src_mask, orte_iof_base_tag_t src_tag)"
.br
.ti -1c
.RI "typedef int(* \fBorte_iof_base_flush_fn_t\fP )(void)"
.br
.ti -1c
.RI "typedef \fBorte_iof_base_module_1_0_0_t\fP \fBorte_iof_base_module_1_0_0_t\fP"
.br
.ti -1c
.RI "typedef \fBorte_iof_base_module_1_0_0_t\fP \fBorte_iof_base_module_t\fP"
.br
.ti -1c
.RI "typedef \fBorte_iof_base_module_t\fP *(* \fBorte_iof_base_component_init_fn_t\fP )(int *priority, bool *allow_user_threads, bool *have_hidden_threads)"
.br
.RI "\fIIOF component descriptor. \fP"
.ti -1c
.RI "typedef orte_iof_base_component_1_0_0_t \fBorte_iof_base_component_1_0_0_t\fP"
.br
.ti -1c
.RI "typedef orte_iof_base_component_1_0_0_t \fBorte_iof_base_component_t\fP"
.br
.in -1c
.SS "Enumerations"

.in +1c
.ti -1c
.RI "enum { \fBORTE_IOF_ANY\fP =  -1, \fBORTE_IOF_STDIN\fP =  0, \fBORTE_IOF_STDOUT\fP =  1, \fBORTE_IOF_STDERR\fP =  2 }"
.br
.ti -1c
.RI "enum \fBorte_iof_base_mode_t\fP { \fBORTE_IOF_SOURCE\fP, \fBORTE_IOF_SINK\fP }"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC \fBorte_iof_base_module_t\fP \fBorte_iof\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
I/O Forwarding Service. 


.SH "Define Documentation"
.PP 
.SS "#define ORTE_IOF_BASE_VERSION_1_0_0"
.PP
\fBValue:\fP
.PP
.nf
/* iof v1.0 is chained to MCA v1.0 */ \
  MCA_BASE_VERSION_1_0_0, \
  /* iof v1.0 */ \
  'iof', 1, 0, 0
.fi
.SH "Typedef Documentation"
.PP 
.SS "typedef \fBorte_iof_base_module_t\fP*(* \fBorte_iof_base_component_init_fn_t\fP)(int *priority, bool *allow_user_threads, bool *have_hidden_threads)"
.PP
IOF component descriptor. 
.PP
Contains component version information and component open/close/init functions. 
.SS "typedef int(* \fBorte_iof_base_publish_fn_t\fP)(const orte_process_name_t *name, orte_iof_base_mode_t mode, orte_iof_base_tag_t tag, int fd)"
.PP
Publish a local file descriptor as an endpoint that is logically associated with the specified process name (e.g. 
.PP
file descriptor corresponding to the master side of a pipe/pty connected to a child process)
.PP
\fBParameters:\fP
.RS 4
\fIname\fP Process name associated with the endpoint. 
.br
\fImode\fP Is the endpoint an input or output. 
.br
\fItag\fP The logical tag associated with this file descriptor. 
.br
\fIfd\fP Local file descriptor 
.RE
.PP

.SS "typedef int(* \fBorte_iof_base_pull_fn_t\fP)(const orte_process_name_t *src_name, \fBorte_ns_cmp_bitmask_t\fP src_mask, orte_iof_base_tag_t src_tag, int fd)"
.PP
Explicitly pull data from the specified set of peers and dump to the indicated output file descriptor. 
.PP
\fBParameters:\fP
.RS 4
\fIdst_name\fP Name used to qualify set of peers. 
.br
\fIdst_mask\fP Mask that specified how name is interpreted. 
.br
\fIdst_tag\fP Match a specific peer endpoint. 
.br
\fIfd\fP Local file descriptor for output. 
.RE
.PP

.SS "typedef int(* \fBorte_iof_base_push_fn_t\fP)(const orte_process_name_t *dst_name, \fBorte_ns_cmp_bitmask_t\fP dst_mask, orte_iof_base_tag_t dst_tag, int fd)"
.PP
Explicitly push data from the specified input file descriptor to the indicated set of peers. 
.PP
\fBParameters:\fP
.RS 4
\fIdst_name\fP Name used to qualify set of peers. 
.br
\fIdst_mask\fP Mask that specified how name is interpreted. 
.br
\fIdst_tag\fP Match a specific peer endpoint. 
.br
\fIfd\fP Local file descriptor for input. 
.RE
.PP

.SS "typedef int(* \fBorte_iof_base_unpublish_fn_t\fP)(const orte_process_name_t *name, \fBorte_ns_cmp_bitmask_t\fP mask, orte_iof_base_tag_t tag)"
.PP
Remove all endpoints matching the specified process name, mask and tag values. 
.PP
\fBParameters:\fP
.RS 4
\fIname\fP Process name associated with the endpoint. 
.br
\fImask\fP A mask indicating the set of processes to unpublish. 
.br
\fItag\fP The endpoint tag. 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
